
// Define a new application type
class MyApp: public wxApp
{ public:
    wxFrame *OnInit(void);
};

class TestGLCanvas: public GLCanvas
{
 public:
   TestGLCanvas(wxWindow *parent, int x, int y, int w, int h, long style = wxRETAINED, char *name = "TestGLCanvas");
   ~TestGLCanvas(void);

   void OnPaint(void);
   void OnSize(int w, int h);

   void Test(void);

   void Init(void);
   void RotateColorMask(void);
   void Viewport(GLint row, GLint column);
   void Point(void);
   void Lines(void);
   void LineStrip(void);
   void LineLoop(void);
   void Bitmap(void);
   void Triangles(void);
   void TriangleStrip(void);
   void TriangleFan(void);
   void Rect(void);
   void Polygon(void);
   void Quads(void);
   void QuadStrip(void);
};

class MyFrame: public wxFrame
{ public:
    TestGLCanvas *canvas;
    MyFrame(wxFrame *frame, char *title, int x, int y, int w, int h);
    void OnMenuCommand(int id);
    Bool OnClose(void) { return TRUE; }
};

// ID for the menu quit command
#define MINIMAL_QUIT 1


