/* -*- C++ -*-
 * File:	threads.h
 * Purpose:	Sample for wxWindows threads
 * Author:	Wolfram Gloger
 * Created:	1996
 * Updated:	
 */

#ifdef __GNUG__
#pragma interface
#endif

#ifdef wx_xt
#define Uses_wxThread
#include "wx.h"
#else
#include "wx.h"
#include "wx_thrd.h"
#endif

// Define a new application
class
MyApp: public wxApp
{
public:
	MyApp(void) ;
	wxFrame *OnInit(void);
};

class MyFrame: public wxFrame
{
public:
    MyFrame(wxFrame *frame, char *title, int x, int y, int w, int h);
	~MyFrame();
    //void OnSize(int w, int h);
    Bool OnClose(void);
    void OnMenuCommand(int id);
	wxThread* NewThread();
private:
	wxTextWindow *text_window;
	wxCanvas *canvas;
	wxThread *thr[10];
	int thr_i;
};

/*
 * Local variables:
 * tab-width: 4
 * End:
 */
