/* -*- C++ -*-
 * File:	wxtiff.h
 * Purpose:	TIFF viewer for wxWindows class library
 * Author:	Wolfram Gloger
 * Created:	1996
 * Updated:	
 */

#ifdef __GNUG__
#pragma interface
#endif

#include "tiff-fr.h"

// Define a new application
class
MyApp: public wxApp
{
public:
	MyApp(void) ;
	wxFrame *OnInit(void);
};

class MyFrame: public wxFrame
{
public:
    MyFrame(wxFrame *frame, char *title, int x, int y, int w, int h);
	~MyFrame();
    void OnSize(int w, int h);
    Bool OnClose(void);
    void OnMenuCommand(int id);
	void Load(char *title);
	void Delete(TiffFrame *tf);
	void Rename(TiffFrame *tf, char *new_name);
private:
	// Slots for the images
	wxList *slot_list;
	wxPanel *panel;
	wxListBox *list_box;
};

enum myframe_menuid {
	MENU_OPEN_TIFF = 100,
	MENU_QUIT
};

/*
 * Local variables:
 * tab-width: 4
 * End:
 */
